<template>
  <a class="skippy sr-only gl-accessibility" :href="target" tabindex="1">
    <slot>{{ text }}</slot>
  </a>
</template>

<script>
export default {
  name: 'skippy',

  props: {
    text: {
      type: String,
      default: 'Skip to content'
    },

    target: {
      type: String,
      default: '#content-body'
    }
  }
}
</script>

<style lang="scss">
.skippy:focus {
  position: fixed;
  top: 12px;
  left: 12px;
  background: white;
  width: auto;
  height: auto;
  z-index: 1000;
  clip: auto;
  padding: 5px 10px;
  border-radius: $border-radius;
  color: black;
}
</style>
